%global srcname fabric3
%global common_desc Fabric3 is a fork of Fabric to provide compatibility with Python 3.4+.\
Fabric is a simple Pythonic remote deployment tool which is designed to upload \
files to, and run shell commands on, a number of servers in parallel or serially.

%global extra_ver post1

Name:           python-%{srcname}
Version:        1.13.1
Release:        2%{?dist}
Summary:        Python3-compatible fork of Fabric

License:        BSD
URL:            https://github.com/mathiasertl/fabric
# https://pypi.python.org/pypi/Fabric3/
Source0:        https://github.com/mathiasertl/fabric/archive/%{version}.%{extra_ver}/fabric-%{version}.%{extra_ver}.tar.gz

BuildArch:      noarch

%description
%{common_desc}

# This module is Python 3 only
%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-nose
BuildRequires: python3-jinja2

# fudge not compatible with py3 yet
#BuildRequires: python3-fudge

Requires: python3-paramiko
Requires: python3-six

Provides: python3-fabric
Provides: fabric3
Provides: fab3

%description -n python3-%{srcname}
%{common_desc}


%prep
%autosetup -n fabric-%{version}.%{extra_ver}
# rename fab tool to fab3 until we decide which fabric is the default one
sed -i 's/fab = fabric.main:main/fab3 = fabric.main:main/' setup.py
# Remove ver deps
sed -i 's/fudge<1.0/fudge/' setup.py

%build
%py3_build

%install
%py3_install

%check
# Test suite fails with fudge>=1.0, plus not available on py3
#%%{__python3} setup.py test

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst AUTHORS
%{python3_sitelib}/fabric/
%{python3_sitelib}/Fabric3-*.egg-info/
%{_bindir}/fab3

%changelog
* Sun Apr 29 2018 Athmane Madjoudj <athmane@fedoraproject.org> - 1.13.1-2
- Fix license and version
- Add some useful provides

* Sat Apr 28 2018 Athmane Madjoudj <athmane@fedoraproject.org> - 1.13.1.post1-1
- Update to 1.13.1

* Sat Dec 03 2016 Athmane Madjoudj <athmane@fedoraproject.org> - 1.10.3.post3
- Initial spec

